package com.bzd.system.service.xtsz;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店管理表 service
* @author LiXiangFei
* @since 2024-10-18
*/

@Service
public class SXtszMdzhglStoremanagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXtszMdzhglStoremanagement(PageData pd)throws Exception {
        return daoSupport.update("SXtszMdzhglStoremanagementMapper.addSXtszMdzhglStoremanagement", pd);
    }

    public List<PageData> findSXtszMdzhglStoremanagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXtszMdzhglStoremanagementMapper.selectSXtszMdzhglStoremanagementList", pd);
    }

    public Integer SXtszMdzhglStoremanagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXtszMdzhglStoremanagementMapper.SXtszMdzhglStoremanagementRemove", pd);
    }


    public Integer updateSXtszMdzhglStoremanagement(PageData pd)throws Exception {
        return daoSupport.update("SXtszMdzhglStoremanagementMapper.updateSXtszMdzhglStoremanagement", pd);
    }

}
